package com.useasy.callsdk.demo

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity

open class BaseActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        DemoApplication.instance?.addActivity(this)
    }

    override fun onDestroy() {
        super.onDestroy()
        DemoApplication.instance?.removeActivity(this)
    }
}